# Class CIM_OSPFProtocolEndpointBase
extends CIM_ProtocolEndpoint

Base class for OSPF protocol endpoints, defining several general properties.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_ProtocolEndpoint
|
+--CIM_OSPFProtocolEndpointBase

## Direct Known Subclasses

CIM_OSPFProtocolEndpoint
CIM_OSPFVirtualInterface

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Base class for OSPF protocol endpoints, defining several general properties.
UMLPackagePath | string | CIM::Network::ProtocolEndpoints
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AuthKey | string |
Description | string | This key is used during the authentication procedure to verify OSPF protocol packets, see C.3 RFC 2328. It is used in the "Simple password" and in the "Cryptographic authentication" case too.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfIfAuthKey
AuthType | uint16 |
Description | string | Identifies the authentication procedure to be used on the attached network, see C.3 in RFC 2328.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfIfAuthType
Required | boolean | true
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Null authentication, Simple password, Cryptographic authentication
EnabledState | uint16 |
Description | string | The operational status of the interface, see ospfIfAdminStat in RFC 1850. This is an integer enumeration whose complete definition is found in the EnabledLogicalElement class.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfIfAdminStat
ModelCorrespondence | string | CIM_EnabledLogicalElement.OtherEnabledState
Override | string | EnabledState
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11..32767, 32768..65535
Values | string | Unknown, Other, Enabled, Disabled, Shutting Down, Not Applicable, Enabled but Offline, In Test, Deferred, Quiesce, Starting, DMTF Reserved, Vendor Reserved
OtherAuthType | string |
Description | string | Specifies the authentication procedure if the value, "Other" (1) is set for AuthType.
ModelCorrespondence | string | CIM_OSPFProtocolEndpoint.AuthType
ProtocolIFType | uint16 | 4109
Description | string | ProtocolIFType's enumeration is limited to OSPF and reserved values for this subclass of ProtocolEndpoint.
MappingStrings | string | MIB.IETF|IF-MIB.ifType
ModelCorrespondence | string | CIM_ProtocolEndpoint.OtherTypeDescription
Override | string | ProtocolIFType
ValueMap | string | 1, 225..4095, 4109, 4301..32767, 32768..
Values | string | Other, IANA Reserved, OSPF, DMTF Reserved, Vendor Reserved
RetransmitInterval | uint16 |
Description | string | The number of seconds between LSA (Link State Advertisement) retransmissions, see C.3 in RFC 2328.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfIfRetransInterval
Units | string | Seconds
TransitDelay | uint16 |
Description | string | Estimated delay, in seconds that it takes to transmit a Link State Update Packet over this interface, see C.3 in RFC 2328.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfIfTransitDelay
Units | string | Seconds

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ProtocolEndpoint
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ProtocolEndpoint
NameFormat | string | CIM_ProtocolEndpoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherTypeDescription | string | CIM_ProtocolEndpoint
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProtocolType | uint16 | CIM_ProtocolEndpoint
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_ProtocolEndpoint
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ProtocolEndpoint
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement